User Tools

Site Tools


dev:python

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
dev:python [2016/03/11 12:52]
oschuett
dev:python [2016/03/11 12:52] (current)
oschuett
Line 12: Line 12:
 ===== Language Versions ===== ===== Language Versions =====
  
-All scripts should work with **Python 2.7 or later**. In particular the script ​should be future-proof and also work with Python 3.x . +All scripts should work with **Python 2.7 or later**. In particular the scripts ​should be future-proof and also work with Python 3.x . 
 Additionally,​ a small set of //essential scripts// should work with Python 2.4 as well. Essential scripts are those required for building CP2K plus ''​prettify.py''​ and ''​instantiateTemplates.py''​. Additionally,​ a small set of //essential scripts// should work with Python 2.4 as well. Essential scripts are those required for building CP2K plus ''​prettify.py''​ and ''​instantiateTemplates.py''​.
  
dev/python.txt ยท Last modified: 2016/03/11 12:52 by oschuett